//
// Created by kbracher on 2/6/25.
//

#ifndef AMS_MASTER_CODE_ADBMS_ERROR_H
#define AMS_MASTER_CODE_ADBMS_ERROR_H

#include "ADBMS_Driver.h"
#include <limits.h>

static_assert(sizeof(error_sources) * CHAR_BIT >= NUM_ERROR_KINDS,
              "error_sources is too small to hold all error sources");

void set_error_source(ADBMS_Status source);
void clear_error_source(ADBMS_Status source);


#endif //AMS_MASTER_CODE_ADBMS_ERROR_H
